Bug 212947 - Module system does not support UNC paths
Module system does not support UNC paths
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Module System
7.2
PC Windows XP
: P2 (vote)
: 7.2
Assigned To: Jaroslav Tulach
issues@platform
:
Depends on:
Blocks: 213562
  Show dependency treegraph
 
Reported: 2012-05-24 11:31 UTC by Jesse Glick
Modified: 2012-06-04 19:13 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2012-05-24 11:31:38 UTC
Unapplied portion of patch in bug #207060 comment #24 appears to correct first problem listed in bug #207060 comment #16: ""URI has an authority component" from java.io.File.<init> in
org.netbeans.JarClassLoader$JarURLStreamHandler.openConnection.

There are probably numerous other problems which we will not find unless and until we replace all calls to File.<init>(URI) and File.toURI with functioning variants, but this is a start.
Comment 1 Jaroslav Tulach 2012-05-28 08:24:33 UTC
ergonomics#ce5445677ab1
Comment 2 Quality Engineering 2012-05-29 05:42:27 UTC
Integrated into 'main-golden', will be available in build *201205290002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/ce5445677ab1
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #212947: Using special URI to File conversion when getHost() is specified - helps the UNC case
Comment 3 Jesse Glick 2012-05-29 15:57:42 UTC
Integrated into 7.2, not 7.1 I guess.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo